/*
 * e4-errors.h
 * Copyright (C) 2007-2011, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LIBx1f4_e4_ERRORS_H__
#define __LIBx1f4_e4_ERRORS_H__

#define BINARY_R			-129
#define BYTEMISS			-130
#define B_LOOKUP			-131
#define B_SCALAR			-132
#define C_LVALUE			-133
#define C_STRING			-134
#define EXPECTED			-135
#define E_LOOKUP			-136
#define E_SYNTAX			-137
#define F_SYNTAX			-138
#define I_LVALUE			-139
#define L_LOOKUP			-140
#define L_SYNTAX			-141
#define MISSCALL			-142
#define MISSTYPE			-143
#define NEARCITE			-144
#define NEARJOIN			-145
#define NEARLOSE			-146
#define NEARNAME			-147
#define NEAROPEN			-148
#define NEARREAL			-149
#define NEARSTEP			-150
#define NEARTEXT			-151
#define NEARVOID			-152
#define P_LOOKUP			-153
#define R_SCALAR			-154
#define SURELOSE			-155
#define SURESTEP			-156
#define USEDVOID			-157
#define U_BINARY			-158
#define U_PREFIX			-159

#define C_SVALUE			-160
#define I_SVALUE			-161
#define T_SVALUE			-162

#define C_SYNTAX			-163

#endif				/* __LIBx1f4_e4_ERRORS_H__ */
